Subject: Re: [PATCH v3 2/3] perf: make the tests work in worktrees

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 May 2016 14:24:35 -0700

René Scharfe <[email-masked]> writes:

>>> I fear that interacts badly with the `cd "$repo"` I introduced later
>>> (replacing a `cd ..`)...
>
> Oh, right, it does if $repo is a relative path.
>
>> What do you want to do then?  For now before -rc1 we can revert the
>> whole thing so that we can get a tested thing that works in both
>> layouts.
>
> Put it in its own subshell, e.g. like this?

OK. I've squashed it and merged the result to 'next'.  We'll see if
anybody screams and merge it to 'master' before -rc2.

Thanks.